kind: Deployment
apiVersion: apps/v1
metadata:
  name: constellation-messaging
  labels:
    app: constellation-messaging
spec:
  replicas: 1
  selector:
    matchLabels:
      app: constellation-messaging
  template:
    metadata:
      labels:
        app: constellation-messaging
    spec:
      imagePullSecrets:
      - name: regcred
      containers:
      - name: c11n-messaging
        imagePullPolicy: Always
        image: pega-docker.downloads.pega.com/constellation-messaging/docker-image:5.3.0-20230925171643
        args:
        - --max-semi-space-size=1024
        - port=3000
        - path=/c11n-messaging
        ports:
        - containerPort: 3000
        
---

apiVersion: v1
kind: Service
metadata:
  name: constellation-messaging
  labels:
    app: constellation-messaging
spec:
  type: NodePort
  selector:
    app: constellation-messaging
  ports:
    - protocol: TCP
      port: 3000   
      targetPort: 3000   
